Changes between Initial Version and Version 15 of Ticket #14346


Ignore:
Timestamp:
04/10/13 15:22:35 (7 years ago)
Author:
jdemeyer
Comment:

Replying to Snark:

Ok, let's be explicit:

That's not explicit at all, that's essentially just repeating what you already said. To make it easier for you, I changed the description and let you fill in the blanks.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #14346

    • Property Cc jdemeyer added
    • Property Type changed from defect to enhancement
    • Property Milestone changed from sage-5.9 to sage-wishlist
  • Ticket #14346 – Description

    initial v15  
    1 The pari package is full of patches, some of which should have been proposed upstream, some of which break the ABI.
    2 
    3 According to the discussion with the debian packager of pari (which is also upstream):
    4 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703116
    5 the correct solution would be for sage to *add* what is needed to the sage library instead of patching upstream.
     1The pari package has 15 patches, there are various problems with these:
     2 1. patches ..... should have been proposed upstream but haven't been reported.
     3 1. patch ..... breaks the ABI of the function ......(). It will in particular cause problems when upgrading to the next PARI version.
     4 1. `polred.patch` in lines ... - ... of file ...... puts new developments in a package, which should instead be moved to the Sage library.